Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula.functions
Class LogicalFunction

    java.lang.Object
      org.apache.poi.hssf.record.formula.functions.Fixed1ArgFunction
          org.apache.poi.hssf.record.formula.functions.LogicalFunction

All Implemented Interfaces:
  Function, Function1Arg

    public abstract class LogicalFunction

extends Fixed1ArgFunction

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >, Josh Micich

Field Summary
`static Function` | `ISBLANK`
`static Function` | `ISERROR`
`static Function` | `ISLOGICAL`
`static Function` | `ISNA` Implementation for Excel ISNA() function. Syntax: ISNA(value) value The value to be tested Returns `TRUE` if the specified value is '#N/A', `FALSE` otherwise.
`static Function` | `ISNONTEXT`
`static Function` | `ISNUMBER`
`static Function` | `ISREF`
`static Function` | `ISTEXT`

Constructor Summary
`LogicalFunction()`

Method Summary
`ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0)` see `Function.evaluate(ValueEval[], int, int)`
`protected abstract boolean` | `evaluate(ValueEval arg)`

Methods inherited from class org.apache.poi.hssf.record.formula.functions.Fixed1ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ISLOGICAL

    public static final Function ISLOGICAL

### ISNONTEXT

    public static final Function ISNONTEXT

### ISNUMBER

    public static final Function ISNUMBER

### ISTEXT

    public static final Function ISTEXT

### ISBLANK

    public static final Function ISBLANK

### ISERROR

    public static final Function ISERROR

### ISNA

    public static final Function ISNA

  Implementation for Excel ISNA() function.

  Syntax:
  ISNA(value)

  value The value to be tested
  Returns `TRUE` if the specified value is '#N/A', `FALSE` otherwise.

### ISREF

    public static final Function ISREF

Constructor Detail

### LogicalFunction

    public LogicalFunction()

Method Detail

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0)

  Description copied from interface: `Function1Arg`
  see `Function.evaluate(ValueEval[], int, int)`

### evaluate

    protected abstract boolean evaluate(ValueEval arg)

  Parameters:
    `arg` - any `ValueEval`, potentially `BlankEval` or `ErrorEval`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.